/**
 * 
 */
package com.wieseke.cptk.common.action;

import com.wieseke.cptk.common.api.ITreeArrangement;

/**
 * @author Nicolas Wieseke
 * 
 */
public class RearrangeRecalculateNodePositionsAction extends CommonAction {

	/**
	 * default constructor
	 * 
	 * @param text
	 */
	public RearrangeRecalculateNodePositionsAction(String text) {
		super(text);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.action.Action#run()
	 */
	
	public void run() {
		if (this.viewer != null) {
			ITreeArrangement arrangement = this.viewer.getTreeArrangement();
			this.viewer.initCophylogeny(false, arrangement);
			this.viewer.setDirty(true);
		}
	}
}
