/**
 * 
 */
package com.wieseke.cptk.common.api;

import java.util.List;

/**
 * @author Nicolas Wieseke
 * 
 */
public interface IPositionParasiteNode extends IPositionNode, IParasiteNode {

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.wieseke.cptk.common.api.IPositionNode#getParent()
	 */
	
	public IPositionParasiteNode getParent();

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.wieseke.cptk.common.api.IPositionNode#getChildren()
	 */
	
	public List<? extends IPositionParasiteNode> getChildren();

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.wieseke.cptk.common.api.IParasiteNode#getAssociations()
	 */
	
	public List<? extends IPositionHostNode> getAssociations();

}
