/**
 * 
 */
package com.wieseke.cptk.output.constants;

import com.wieseke.cptk.common.constants.ViewerConstants;

/**
 * @author Nicolas Wieseke
 * 
 */
public class OutputViewerConstants extends ViewerConstants {

	/**
	 * constant for folding a node
	 */
	public final static int EDIT_MODE_FOLD_NODE = 0;
	/**
	 * constant for editing a nodes label
	 */
	public final static int EDIT_MODE_CHANGE_LABEL = 4;

	/**
	 * the fraction of nodes without position information at which the positions
	 * should be calculated automatically
	 */
	public final static double UNPOSITIONED_NODE_FRACTION = 0.1d;

	/**
	 * the property name for the event which is fired when the edit mode is
	 * changed
	 */
	public final static String PROPERTY_EDIT_MODE = "EDIT_MODE";
	/**
	 * the property name for the event which is fired when the tree mode is
	 * changed
	 */
	public final static String PROPERTY_TREE_MODE = "TREE_MODE";

}
