/**
 * 
 */
package com.wieseke.cptk.output.provider;

import org.eclipse.jface.viewers.LabelProvider;

import com.wieseke.cptk.common.model.PropertiesElement;
import com.wieseke.cptk.output.model.OutputReconstruction;

/**
 * @author Nic
 * 
 */
public class ReconstructionLabelProvider extends LabelProvider {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.viewers.LabelProvider#getText(java.lang.Object)
	 */
	
	public String getText(Object element) {
		if (element instanceof PropertiesElement) {
			PropertiesElement nodeInfoElement = (PropertiesElement) element;
			return nodeInfoElement.getName() + ": "
					+ nodeInfoElement.getValue();
		} else if (element instanceof OutputReconstruction) {
			return ((OutputReconstruction) element).getLabel();
		}
		return null;
	}

}
