/**
 * 
 */
package com.wieseke.cptk.common.action;

import org.eclipse.jface.wizard.WizardDialog;

import com.wieseke.cptk.common.wizards.ExportSvgFileWizard;

/**
 * @author Nicolas Wieseke
 * 
 */
public class ExportSvgAction extends CommonAction {

	/**
	 * default constructor
	 * 
	 * @param text
	 */
	public ExportSvgAction(String text) {
		super(text);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.action.Action#run()
	 */
	
	public void run() {
		if (this.viewer != null) {
			ExportSvgFileWizard wizard = new ExportSvgFileWizard(this.viewer);
			WizardDialog dialog = new WizardDialog(this.viewer.getShell(),
					wizard);
			dialog.create();
			dialog.open();
		}
	}
}
