/**
 * 
 */
package com.wieseke.cptk.common.api;

import java.io.InputStream;

import com.wieseke.cptk.common.exceptions.DeserializeException;

/**
 * @author Nicolas Wieseke
 * 
 */
public interface IDeserializer {

	/**
	 * deserialize the content of the InputStream into an ICophylogeny object
	 * 
	 * @param inputStream
	 * @param filename
	 * @return the deserialized cophylogeny
	 * @throws DeserializeException
	 */
	public ICophylogeny deserialize(InputStream inputStream, String filename) throws DeserializeException;
}
