/**
 * 
 */
package com.wieseke.cptk.common.api;

import org.eclipse.swt.graphics.Point;

/**
 * @author Nicolas Wieseke
 * 
 */
public interface ITreeArrangement {

	/**
	 * @param tree
	 * @return the position of the root node
	 */
	public Point getTreeRootPosition(int tree);

	/**
	 * @param tree
	 * @return a flag indicating if the tree is flipped
	 */
	public boolean isTreeFlipped(int tree);

	/**
	 * @return the arrangementFlag
	 */
	public int getArrangementFlag();

	/**
	 * @return the positionFlag
	 */
	public int getPositionFlag();

}
