/**
 * 
 */
package com.wieseke.cptk.common.constants;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Nicolas Wieseke
 * 
 */
public class EventConstants {

	public final static String COSPECIATION = "COSPECIATION";
	public final static String SORTING = "SORTING";
	public final static String DUPLICATION = "DUPLICATION";
	public final static String HOSTSWITCH = "HOSTSWITCH";
	public final static String EXTINCTION = "EXTINCTION";

	public static List<String> getEvents() {
		List<String> events = new ArrayList<String>();
		events.add(COSPECIATION);
		events.add(SORTING);
		events.add(DUPLICATION);
		events.add(HOSTSWITCH);
		return events;
	}

	public static String getEvent(int id) {
		switch (id) {
		case 0:
			return EventConstants.COSPECIATION;
		case 1:
			return EventConstants.SORTING;
		case 2:
			return EventConstants.DUPLICATION;
		case 3:
			return EventConstants.HOSTSWITCH;
		case 4:
			return EventConstants.EXTINCTION;
		}
		return "";
	}
}
