/**
 * 
 */
package com.wieseke.cptk.input.action;

import org.eclipse.jface.wizard.WizardDialog;

import com.wieseke.cptk.input.wizards.RunCophylogenyReconstructionWizard;

/**
 * @author Nicolas Wieseke
 * 
 */
public class RunCophylogenyReconstructionAction extends InputAction {

	/**
	 * default constructor
	 * 
	 * @param text
	 */
	public RunCophylogenyReconstructionAction(String text) {
		super(text);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.action.Action#run()
	 */
	
	public void run() {
		if (this.viewer != null) {
			RunCophylogenyReconstructionWizard wizard = new RunCophylogenyReconstructionWizard(
					getViewer().getCophylogeny());
			WizardDialog dialog = new WizardDialog(this.viewer.getShell(),
					wizard);
			dialog.create();
			dialog.open();
		}
	}
}
