/**
 * 
 */
package com.wieseke.cptk.input.action;

import org.eclipse.jface.wizard.WizardDialog;

import com.wieseke.cptk.input.wizards.RunRandomCophylogenyReconstructionWizard;

/**
 * @author Nicolas Wieseke
 * 
 */
public class RunRandomCophylogenyReconstructionAction extends InputAction {

	/**
	 * default constructor
	 * 
	 * @param text
	 */
	public RunRandomCophylogenyReconstructionAction(String text) {
		super(text);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.action.Action#run()
	 */
	
	public void run() {
		if (this.viewer != null) {
			RunRandomCophylogenyReconstructionWizard wizard = new RunRandomCophylogenyReconstructionWizard(
					getViewer().getCophylogeny());
			WizardDialog dialog = new WizardDialog(this.viewer.getShell(),
					wizard);
			dialog.create();
			dialog.open();
		}
	}
}
